# ui.h File Reference

`#include <gwenhywfar/ui/event.h>`

Go to the source code of this file.

## Defines

#define | GWEN_UI_KEY_DELETE 0x14a
#define | GWEN_UI_KEY_INSERT 0x14b

## Enumerations

enum | GWEN_UI_RESULT { GWEN_UIResult_Handled = 0, GWEN_UIResult_NotHandled, GWEN_UIResult_Error, GWEN_UIResult_Finished, GWEN_UIResult_Quit }

## Functions

int | GWEN_UI_Begin ()
int | GWEN_UI_Calculate_Height (const char *text, int width)
int | GWEN_UI_Calculate_MinWidth (const char *text)
GWEN_UI_RESULT | GWEN_UI_DispatchEvent (GWEN_EVENT *e)
int | GWEN_UI_End ()
void | GWEN_UI_Flush ()
int | GWEN_UI_GetCols ()
GWEN_WIDGET * | GWEN_UI_GetFocusWidget ()
int | GWEN_UI_GetLines ()
GWEN_EVENT * | GWEN_UI_GetNextEvent ()
GWEN_EVENT * | GWEN_UI_PeekNextEvent ()
GWEN_UI_RESULT | GWEN_UI_Work ()

## Define Documentation

#define GWEN_UI_KEY_DELETE 0x14a

#define GWEN_UI_KEY_INSERT 0x14b

## Enumeration Type Documentation

enum GWEN_UI_RESULT

Enumerator:

  GWEN_UIResult_Handled |
  GWEN_UIResult_NotHandled |
  GWEN_UIResult_Error |
  GWEN_UIResult_Finished |
  GWEN_UIResult_Quit |

## Function Documentation

int GWEN_UI_Begin | ( |  | ) |

int GWEN_UI_Calculate_Height | ( | const char * | text,
|  | int | width
| ) |

int GWEN_UI_Calculate_MinWidth | ( | const char * | text | ) |

GWEN_UI_RESULT GWEN_UI_DispatchEvent | ( | GWEN_EVENT * | e | ) |

int GWEN_UI_End | ( |  | ) |

void GWEN_UI_Flush | ( |  | ) |

int GWEN_UI_GetCols | ( |  | ) |

GWEN_WIDGET* GWEN_UI_GetFocusWidget | ( |  | ) |

int GWEN_UI_GetLines | ( |  | ) |

GWEN_EVENT* GWEN_UI_GetNextEvent | ( |  | ) |

GWEN_EVENT* GWEN_UI_PeekNextEvent | ( |  | ) |

GWEN_UI_RESULT GWEN_UI_Work | ( |  | ) |